---
version: "3.4"

networks:
  proxy:
    external: true
  wordpress-internal:

volumes:
  wordpress:
  db:

services:
  wordpress:
    image: {{wordpress_image}}:{{wordpress_image_version}}
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    env_file: env-wordpress
    volumes:
      - wordpress:/var/www/html
      - ./wp-extra-config.php:/wp-extra-config.php
    networks:
      - proxy
      - wordpress-internal
    depends_on:
      - db
    healthcheck:
      test:
        [
          "CMD-SHELL",
          "curl --fail http://127.0.0.1:80/  || exit 1",
        ]
      interval: 5s
      timeout: 10s
      retries: 3
      start_period: 5s

  wordpress-cli:
    image: wordpress:cli
    logging:
      options:
        max-size: 5m
    env_file: env-wordpress
    volumes:
      - wordpress:/var/www/html
      - ./wp-extra-config.php:/wp-extra-config.php
    networks:
      - wordpress-internal
    depends_on:
      - db
    # keep container running
    command: tail -f /dev/null

  db:
    image: mysql:5.7
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    env_file: env-mysql
    volumes:
      - db:/var/lib/mysql
      - ./initdb:/docker-entrypoint-initdb.d
    networks:
      - wordpress-internal
